/api/v1/selphid/custom-event/authentication
Sends a custom external authentication event to the Api Tracking platform.
Data to register an external authentication event in the Api Tracking platform. It also supports image buffers.
Possible results of an authentication operation.
PositiveValores possíveis: Similarity between two facial templates (0-None, 1-Identical).
0.994729161The source of an event in the Api Tracking service.
event.source.externalToolRaw image buffer in .png, .jpg or .bmp format, base64-encoded.
/9j/4AAQSkZJRgABAQEAtAC0AAD...Raw image buffer in .png, .jpg or .bmp format, base64-encoded.
/9j/4AAQSkZJRgABAQEAtAC0AAD...Tokenized data used to call the Api Tracking service after the operation, base64-encoded.
BQABAQGkJhiCqQjKYUZyDM...Result of the event tracking.
The result of an Api Tracking operation.
Status returned by the Api Tracking service, or -1 if tracking is not required.
201Message returned by the Api Tracking service, or empty if tracking is not required.
EvaluatePassiveLivenesWithImageBuffer: OkIncorrect parameters in the request.
An error occurred in the call to the SelphID-SDK backend.
POST /api/v1/selphid/custom-event/authentication HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 216
{
"authStatus": "Positive",
"similarity": 0.994729161,
"eventSource": "event.source.externalTool",
"image1": "/9j/4AAQSkZJRgABAQEAtAC0AAD...",
"image2": "/9j/4AAQSkZJRgABAQEAtAC0AAD...",
"extraData": "BQABAQGkJhiCqQjKYUZyDM..."
}{
"trackingStatus": 201,
"trackingMessage": "EvaluatePassiveLivenesWithImageBuffer: Ok"
}Atualizado